Package org.jbpm.ruleflow.core

## Class RuleFlowProcessFactory

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory<T,​P>
  - - org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory<org.kie.api.fluent.ProcessBuilder,​org.kie.api.fluent.ProcessBuilder>
    - - org.jbpm.ruleflow.core.RuleFlowProcessFactory

- All Implemented Interfaces:
    `org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.ProcessBuilder,​org.kie.api.fluent.ProcessBuilder>`, `org.kie.api.fluent.NodeContainerBuilder<org.kie.api.fluent.ProcessBuilder,​org.kie.api.fluent.ProcessBuilder>`, `org.kie.api.fluent.ProcessBuilder`

      public class RuleFlowProcessFactory
      extends RuleFlowNodeContainerFactory<org.kie.api.fluent.ProcessBuilder,​org.kie.api.fluent.ProcessBuilder>
      implements org.kie.api.fluent.ProcessBuilder

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `node, nodeContainer, nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `RuleFlowProcessFactory​(String id)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.definition.process.Process` | `build()` |
    `static RuleFlowProcessFactory` | `createProcess​(String id)` |
    `org.kie.api.fluent.ProcessBuilder` | `done()` |
    `RuleFlowProcessFactory` | `dynamic​(boolean dynamic)` |
    `RuleFlowProcessFactory` | `exceptionHandler​(String exception, String dialect, String action)` |
    `RuleFlowProcessFactory` | `exceptionHandler​(String exception, ExceptionHandler exceptionHandler)` |
    `RuleFlowProcessFactory` | `functionImports​(String... functionImports)` |
    `org.kie.api.fluent.ProcessBuilder` | `functionImports​(Collection<String> functionImports)` |
    `RuleFlowProcess` | `getProcess()` |
    `protected RuleFlowProcess` | `getRuleFlowProcess()` |
    `RuleFlowProcessFactory` | `global​(String name, String type)` |
    `RuleFlowProcessFactory` | `globals​(Map<String,​String> globals)` |
    `RuleFlowProcessFactory` | `imports​(String... imports)` |
    `org.kie.api.fluent.ProcessBuilder` | `imports​(Collection<String> imports)` |
    `RuleFlowProcessFactory` | `name​(String name)` |
    `RuleFlowProcessFactory` | `packageName​(String packageName)` |
    `protected void` | `setId​(Object node, Object id)` |
    `RuleFlowProcessFactory` | `setMetadata​(String name, Object value)` |
    `RuleFlowProcessFactory` | `swimlane​(String name)` |
    `RuleFlowProcessFactory` | `validate()` |
    `RuleFlowProcessFactory` | `variable​(String name, DataType type)` |
    `RuleFlowProcessFactory` | `variable​(String name, DataType type, Object value)` |
    `RuleFlowProcessFactory` | `variable​(String name, DataType type, Object value, String metaDataName, Object metaDataValue)` |
    `RuleFlowProcessFactory` | `variable​(String name, DataType type, String metaDataName, Object metaDataValue)` |
    `RuleFlowProcessFactory` | `version​(String version)` |

    - ### Methods inherited from class org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory

      `actionNode, boundaryEventNode, compositeNode, connection, dynamicNode, endNode, eventNode, exceptionHandler, faultNode, forEachNode, humanTaskNode, joinNode, milestoneNode, ruleSetNode, splitNode, startNode, subProcessNode, timerNode, variable, workItemNode`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `getNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.fluent.NodeContainerBuilder

      `actionNode, boundaryEventNode, compositeNode, connection, dynamicNode, endNode, eventNode, exceptionHandler, faultNode, forEachNode, humanTaskNode, joinNode, milestoneNode, ruleSetNode, splitNode, startNode, subProcessNode, timerNode, variable, workItemNode`

- - ### Constructor Detail

    - #### RuleFlowProcessFactory

          protected RuleFlowProcessFactory​(String id)

  - ### Method Detail

    - #### createProcess

          public static RuleFlowProcessFactory createProcess​(String id)

    - #### setId

          protected void setId​(Object node,
                               Object id)

      Overrides:
        `setId` in class `NodeFactory<org.kie.api.fluent.ProcessBuilder,​org.kie.api.fluent.ProcessBuilder>`

    - #### getRuleFlowProcess

          protected RuleFlowProcess getRuleFlowProcess()

    - #### name

          public RuleFlowProcessFactory name​(String name)

      Specified by:
        `name` in interface `org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.ProcessBuilder,​org.kie.api.fluent.ProcessBuilder>`
      Overrides:
        `name` in class `NodeFactory<org.kie.api.fluent.ProcessBuilder,​org.kie.api.fluent.ProcessBuilder>`

    - #### setMetadata

          public RuleFlowProcessFactory setMetadata​(String name,
                                                    Object value)

      Specified by:
        `setMetadata` in interface `org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.ProcessBuilder,​org.kie.api.fluent.ProcessBuilder>`
      Overrides:
        `setMetadata` in class `NodeFactory<org.kie.api.fluent.ProcessBuilder,​org.kie.api.fluent.ProcessBuilder>`

    - #### done

          public org.kie.api.fluent.ProcessBuilder done()

      Specified by:
        `done` in interface `org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.ProcessBuilder,​org.kie.api.fluent.ProcessBuilder>`
      Overrides:
        `done` in class `NodeFactory<org.kie.api.fluent.ProcessBuilder,​org.kie.api.fluent.ProcessBuilder>`

    - #### dynamic

          public RuleFlowProcessFactory dynamic​(boolean dynamic)

      Specified by:
        `dynamic` in interface `org.kie.api.fluent.ProcessBuilder`

    - #### version

          public RuleFlowProcessFactory version​(String version)

      Specified by:
        `version` in interface `org.kie.api.fluent.ProcessBuilder`

    - #### packageName

          public RuleFlowProcessFactory packageName​(String packageName)

      Specified by:
        `packageName` in interface `org.kie.api.fluent.ProcessBuilder`

    - #### imports

          public RuleFlowProcessFactory imports​(String... imports)

    - #### functionImports

          public RuleFlowProcessFactory functionImports​(String... functionImports)

    - #### globals

          public RuleFlowProcessFactory globals​(Map<String,​String> globals)

      Specified by:
        `globals` in interface `org.kie.api.fluent.ProcessBuilder`

    - #### global

          public RuleFlowProcessFactory global​(String name,
                                               String type)

      Specified by:
        `global` in interface `org.kie.api.fluent.ProcessBuilder`

    - #### variable

          public RuleFlowProcessFactory variable​(String name,
                                                 DataType type)

    - #### variable

          public RuleFlowProcessFactory variable​(String name,
                                                 DataType type,
                                                 Object value)

    - #### variable

          public RuleFlowProcessFactory variable​(String name,
                                                 DataType type,
                                                 String metaDataName,
                                                 Object metaDataValue)

    - #### variable

          public RuleFlowProcessFactory variable​(String name,
                                                 DataType type,
                                                 Object value,
                                                 String metaDataName,
                                                 Object metaDataValue)

    - #### swimlane

          public RuleFlowProcessFactory swimlane​(String name)

      Specified by:
        `swimlane` in interface `org.kie.api.fluent.ProcessBuilder`

    - #### exceptionHandler

          public RuleFlowProcessFactory exceptionHandler​(String exception,
                                                         ExceptionHandler exceptionHandler)

      Overrides:
        `exceptionHandler` in class `RuleFlowNodeContainerFactory<org.kie.api.fluent.ProcessBuilder,​org.kie.api.fluent.ProcessBuilder>`

    - #### exceptionHandler

          public RuleFlowProcessFactory exceptionHandler​(String exception,
                                                         String dialect,
                                                         String action)

      Overrides:
        `exceptionHandler` in class `RuleFlowNodeContainerFactory<org.kie.api.fluent.ProcessBuilder,​org.kie.api.fluent.ProcessBuilder>`

    - #### validate

          public RuleFlowProcessFactory validate()

    - #### getProcess

          public RuleFlowProcess getProcess()

    - #### imports

          public org.kie.api.fluent.ProcessBuilder imports​(Collection<String> imports)

      Specified by:
        `imports` in interface `org.kie.api.fluent.ProcessBuilder`

    - #### functionImports

          public org.kie.api.fluent.ProcessBuilder functionImports​(Collection<String> functionImports)

      Specified by:
        `functionImports` in interface `org.kie.api.fluent.ProcessBuilder`

    - #### build

          public org.kie.api.definition.process.Process build()

      Specified by:
        `build` in interface `org.kie.api.fluent.ProcessBuilder`